> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/base-accounts",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# eth_accounts | Base

<Warning>
  **Deprecated**

  Note that this method is deprecated. This example is for historical reference.
</Warning>

Base API method that returns a list of addresses owned by the client. For most nodes, this will return an empty array unless the node is running with unlocked accounts.

<Check>
  **Get your own node endpoint today**

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

## Parameters

* `none`

## Response

* `result` — an array of 20-byte account addresses owned by the client. For most public nodes, this array will be empty as accounts are not stored on the node for security reasons.

## Use case

The `eth_accounts` method is primarily used in development environments or private networks where accounts are stored locally on the node. In production environments with public nodes, this method typically returns an empty array as accounts should be managed client-side for security reasons.


## OpenAPI

````yaml /openapi/base_node_api/eth_accounts.json POST /2fc1de7f08c0465f6a28e3c355e0cb14
openapi: 3.0.0
info:
  title: eth_accounts example
  version: 1.0.0
  description: >-
    This is an API example for eth_accounts, a method to list all accounts owned
    by the client.
servers:
  - url: https://base-mainnet.core.chainstack.com
security: []
paths:
  /2fc1de7f08c0465f6a28e3c355e0cb14:
    post:
      tags:
        - Ethereum Operations
      summary: eth_accounts
      operationId: accounts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_accounts
                id:
                  type: integer
                  default: 1
      responses:
        '200':
          description: List of addresses owned by the client
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: array
                    items:
                      type: string
                    description: Array of 20 Bytes - addresses owned by the client

````